> ## Documentation Index
> Fetch the complete documentation index at: https://docs.frankieone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an individual entity

> Retrieve all the information of the Individual Entity with the matching entity ID.



## OpenAPI

````yaml /specs/fc-kyc-bundled_generated.yaml get /v2/individuals/{entityId}
openapi: 3.0.3
info:
  title: KYC V2 API
  version: 2.0.1
  description: >-
    This is the APIs for V2 KYC. It allows you to manage individuals, profiles,
    workflows, results, and documents in the context of Individuals.
  contact:
    name: FrankieOne
    url: https://www.frankieone.com/
    email: help@frankieone.com
servers:
  - url: https://api.uat.frankie.one
    description: UAT Environment API Base URL
  - url: https://api.frankie.one
    description: Production API Base URL
security:
  - Api-Key: []
tags:
  - name: Individual Entities
    description: Manage individual entity records
  - name: Individual Entity Elements
    description: Manage individual entity record elements
  - name: Individual Documents
    description: Manage documents for individuals
  - name: Individual Workflows
    description: Manage workflows and executions for individuals
  - name: Individual Results
    description: Manage results for individuals
  - name: Individual Profiles
    description: Manage individual profiles
  - name: Individual Risks
    description: Manage risks associated with an individual
  - name: Monitoring
    description: Turn on/off ongoing monitoring for an individual entity
  - name: HostedURL
    description: Manage hosted URLs for an individual
  - name: IDV
    description: Get a token and/or upload documents to initiate an IDV process
  - name: Search
    description: Search for entity profiles
paths:
  /v2/individuals/{entityId}:
    parameters:
      - $ref: '#/components/parameters/entityId'
      - $ref: '#/components/parameters/levelNoIdQuery'
    get:
      tags:
        - Individual Entities
      summary: Get an individual entity
      description: >-
        Retrieve all the information of the Individual Entity with the matching
        entity ID.
      operationId: getIndividual
      parameters:
        - $ref: '#/components/parameters/Api-Key'
        - $ref: '#/components/parameters/X-Frankie-CustomerID'
        - $ref: '#/components/parameters/X-Frankie-CustomerChildID'
        - $ref: '#/components/parameters/X-Frankie-Channel'
        - $ref: '#/components/parameters/X-Frankie-Username'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/individuals_entity_response'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                Invalid EntityId:
                  value:
                    errorCode: API-0400,
                    errorMsg: 'Multiple Errors: See Issues list'
                    details:
                      - issue: 'entityId in path must be of type uuid: "test"'
                        issueLocation: VALIDATE-entityId
                    requestId: 01HM5XJ7VASZ3EJMB1VQGTBFJ4
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                Invalid authentication:
                  value:
                    errorCode: AUTH-0002,
                    errorMsg: Unauthorized
                    details:
                      - issue: Invalid Authentication provided. Access denied.
                        issueLocation: request
                    requestId: 00000000S6MNG7624K2TDXT1E3
                No Api-Key:
                  value:
                    errorCode: AUTH-0401
                    errorMsg: Unauthorized
                    details:
                      - issue: No api key provided. Access denied.
                        issueLocation: request
                    requestId: 00000001S6MNG7624K2TDXT1E3
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                Unable to retrieve entity:
                  value:
                    errorCode: ENT-1010,
                    errorMsg: Unable to retrieve requested entity
                    details:
                      - issue: entityId
                        issueLocation: >-
                          Cannot retrieve entityId
                          (027d1e3d-95af-f19a-313a-3b869da9ce10)
                    requestId: 01HM5EM2QNNSC9K0PX9VC06HX3
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '502':
          description: Bad Gateway
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '503':
          description: Service Unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - Api-Key: []
        - jwt:
            - kyc:api
components:
  parameters:
    entityId:
      name: entityId
      in: path
      schema:
        type: string
      description: Unique FrankieOne identifier for an entity
      required: true
    levelNoIdQuery:
      name: level
      in: query
      schema:
        type: string
        default: meta
        enum:
          - meta
          - base64
      description: |-
        Determines what level of detail to return in the response
         - meta: Return all metadata only, no links or base64 data
         - base64: Return all metadata and images as base64
    Api-Key:
      name: api_key
      in: header
      schema:
        type: string
        example: 245c765b124a098d09ef8765....
      description: Your API key provided by FrankieOne
      required: true
    X-Frankie-CustomerID:
      name: X-Frankie-CustomerID
      in: header
      required: true
      schema:
        type: string
        example: 12345678-1234-1234-1234-123456789012
      description: Your Customer ID provided by FrankieOne
    X-Frankie-CustomerChildID:
      name: X-Frankie-CustomerChildID
      in: header
      required: false
      schema:
        type: string
        example: 87654321-4321-4321-4321-210987654321
      description: Your Customer Child ID provided by FrankieOne
    X-Frankie-Channel:
      name: X-Frankie-Channel
      in: header
      required: false
      schema:
        type: string
      description: >-
        Open string that can be used to define the "channel" the request comes
        in from. It can potentially be used in routing and risk calculations
        upon request. Default values that can be used are:  api portal smartui
        Any alphanumeric string is supported though. Anything over 64 characters
        will be truncated.
    X-Frankie-Username:
      name: X-Frankie-Username
      in: header
      description: Username provided by API caller
      required: false
      schema:
        type: string
        example: fred.flintstone@frankieone.com
  schemas:
    individuals_entity_response:
      type: object
      required:
        - requestId
      properties:
        individual:
          $ref: '#/components/schemas/Individual'
        serviceProfiles:
          type: array
          items:
            $ref: '#/components/schemas/Service-Profile'
        requestId:
          $ref: '#/components/schemas/Request-ID'
    Error:
      type: object
      x-examples:
        '400':
          requestId: 0123456789ABCDEFGHIJKLMNOP
          errorCode: API-0400
          errorMsg: Parsing credentials from "<invalid>" failed, because invalid.
          httpStatusCode: 400
        '401':
          requestId: 0123456789ABCDEFGHIJKLMNOP
          errorCode: API-0401
          errorMsg: Unauthenticated due to invalid credentials.
          httpStatusCode: 401
        '409':
          requestId: 0123456789ABCDEFGHIJKLMNOP
          errorCode: API-0409
          errorMsg: Conflict.
          httpStatusCode: 409
      allOf:
        - $ref: '#/components/schemas/Error-Base'
        - type: object
          properties:
            requestId:
              $ref: '#/components/schemas/Request-ID'
    Individual:
      type: object
      allOf:
        - $ref: '#/components/schemas/Base-Individual'
        - type: object
          properties:
            informationSources:
              type: object
              description: Map of information sources used across the response.
              additionalProperties:
                $ref: '#/components/schemas/Information-Source'
              readOnly: true
            relationships:
              $ref: '#/components/schemas/Individual-Relationships'
    Service-Profile:
      allOf:
        - $ref: '#/components/schemas/Service-Profile-Base'
        - type: object
          properties:
            state:
              $ref: '#/components/schemas/Service-Profile-State'
    Request-ID:
      type: string
      example: 01HN9XHZN6MGXM9JXG50K59Q85
      description: The unique request identifier for the API call made.
    Error-Base:
      type: object
      properties:
        errorCode:
          type: string
        errorMsg:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/Issue'
    Base-Individual:
      type: object
      allOf:
        - $ref: '#/components/schemas/Entity'
        - type: object
          properties:
            name:
              $ref: '#/components/schemas/Individual-Name'
            alternateNames:
              type: array
              items:
                $ref: '#/components/schemas/Individual-Name-Alternate'
              description: >-
                Other names that are legally registered or otherwise recorded,
                differing from the individual's primary English name (e.g.,
                "李小龍"). Non-English names may be created as a conversion from
                the original format to complete the verification process.
            dateOfBirth:
              $ref: '#/components/schemas/Date-Of-Birth'
            alternateDatesOfBirth:
              type: array
              items:
                $ref: '#/components/schemas/Date-Of-Birth-Alternate'
              description: >-
                Other dates that are registered or otherwise recorded, differing
                from the individual's primary Gregorian date of birth (e.g.,
                Islamic dates like "29 Jumada Al-Akhirah 1445"). Non-Gregorian
                date formats will be maintained; however, additional Gregorian
                dates of birth may be created as a conversion from the original
                format to complete the verification process.
            gender:
              $ref: '#/components/schemas/Gender'
            placeOfBirth:
              $ref: '#/components/schemas/Address-Place-Of-Birth'
              description: The address where the individual was born.
            nationality:
              type: string
              description: >-
                ISO-3166-1 alpha-3 code of the individual's legal membership or
                affiliation with a nation.
              example: AUS
              x-oapi-codegen-extra-tags:
                audit: keep
            consents:
              type: array
              items:
                $ref: '#/components/schemas/Consent'
              description: List of consent types that have been given for this entity.
    Information-Source:
      type: object
      properties:
        sourceId:
          type: string
          description: >-
            As sources are added to an entity, they're assigned a unique
            identifier to assist with modification and reference.

            To modify a source, include the sourceId in an update request call.
          x-oapi-codegen-extra-tags:
            audit: keep
        source:
          description: The source of information like document number, website, etc.
          type: string
          example: Client
          x-oapi-codegen-extra-tags:
            audit: keep
        sourceNormalized:
          description: The result of converting the raw source name to a normalized result.
          type: string
          readOnly: true
          x-oapi-codegen-extra-tags:
            audit: keep
        description:
          description: The type or details of the source of information.
          type: string
          example: ''
          x-oapi-codegen-extra-tags:
            audit: keep
        provider:
          description: The provider of the information, e.g., Equifax.
          type: string
          example: equifax-au
          x-oapi-codegen-extra-tags:
            audit: keep
        providerReference:
          description: Reference linking to the provider for this information.
          type: string
          example: ''
          x-oapi-codegen-extra-tags:
            audit: keep
        createdAt:
          type: string
          format: date-time
          description: The date and time this information was first created in the system.
          example: '2024-01-15T02:18:11.365Z'
          x-oapi-codegen-extra-tags:
            audit: keep
        requestedAt:
          type: string
          format: date-time
          description: >-
            The date and time FrankieOne requested this information from the
            external source provider.
          example: '2024-01-15T02:18:11.365Z'
          x-oapi-codegen-extra-tags:
            audit: keep
        retrievedAt:
          type: string
          format: date-time
          description: >-
            The date and time FrankieOne retrieved this information from the
            external source provider.
          example: '2024-01-15T02:18:11.365Z'
          x-oapi-codegen-extra-tags:
            audit: keep
        isAuthoritative:
          type: boolean
          description: >-
            Indicates whether this information is from an authoritative source,
            e.g., a company registry.
          example: false
          x-oapi-codegen-extra-tags:
            audit: keep
      readOnly: true
    Individual-Relationships:
      type: object
      readOnly: true
      properties:
        duplicates:
          type: array
          description: >
            List of duplicates for this individual. To determine which entity
            was marked as a duplicate,

            refer to the entity state of the relevant duplicate or reconcile
            using the process results.
          items:
            $ref: '#/components/schemas/Relationship'
    Service-Profile-Base:
      type: object
      properties:
        serviceProfileId:
          type: string
          description: The unique identifier for the service profile.
          example: 55fc5d54-46f7-49c8-bf78-e07ec79c42fd
          readOnly: true
        latestRiskAssessmentId:
          $ref: '#/components/schemas/Risk-Assessment-ID'
          description: >-
            The ID of the latest risk assessment in the most recent workflow
            with a valid assessment.

            Omitted if no valid risk assessment exists.
        latestWorkflowExecutionId:
          type: string
          description: |-
            The ID of the most recent workflow execution.
            Omitted if no workflows exist.
        entityId:
          type: string
          readOnly: true
        entityName:
          type: string
          readOnly: true
        entityType:
          type: string
          readOnly: true
        schemaVersion:
          type: integer
          description: The version number of the schema.
          example: 2
          readOnly: true
        createdAt:
          type: string
          format: date-time
          description: The UTC date and time when this service profile was created.
          example: '2024-01-15T02:18:11.365Z'
          readOnly: true
        createdRequestId:
          type: string
          description: >-
            The unique ULID identifier of the request that created this service
            profile.
          example: 01HMR2ERSKCYAVXKS1FKSRT2T4
          readOnly: true
        createdBy:
          type: string
          description: The user or client that created this profile.
          example: Ryan Reynolds
          readOnly: true
        updatedAt:
          type: string
          format: date-time
          description: >-
            The UTC date and time when this service profile was last updated, if
            applicable.
          example: '2024-01-15T02:18:11.365Z'
          readOnly: true
        updatedBy:
          type: string
          description: The user or client that last updated this profile.
          example: Ryan Reynolds
          readOnly: true
        updatedRequestId:
          type: string
          description: >-
            The unique ULID identifier of the request that last updated this
            service profile.
          example: 01HMR2ERSKCYAVXKS1FKSRT2T4
          readOnly: true
        assignee:
          type: string
          description: The name of the officer assigned to approve this profile.
          example: Ryan Gosling
        reviewer:
          type: string
          description: The name of the officer assigned to review this profile.
          example: Ryan Trahan
        currentWorkflowId:
          type: string
          readOnly: true
        currentWorkflowName:
          type: string
          description: The name of the current workflow, if applicable.
        workflowSummaries:
          type: array
          items:
            $ref: '#/components/schemas/Workflow-Execution-Summary'
          readOnly: true
        serviceName:
          type: string
          description: The name of the service associated with this profile.
          readOnly: true
        customerReference:
          type: string
          readOnly: true
          description: Customer-specific identifier(s).
        subscriptions:
          type: array
          description: >-
            The list of subscriptions associated with the service profile.

            A subscription determines if the service profile is subscribed to a
            particular ongoing process.
          items:
            $ref: '#/components/schemas/Service-Profile-Subscription'
          readOnly: true
    Service-Profile-State:
      type: string
      description: >-
        Current state of the Service Profile

        - INIT: Initial state when the profile is created.

        - AUTO: Automatically assigned state, typically after initial
        processing.

        - ACTIVE: The profile is active and in use.

        - ARCHIVED: The profile has been archived and is no longer active.

        - BLOCKLISTED: The profile is blocked from further actions.

        - INACTIVE: The profile is inactive, not currently in use.

        - DELETED: The profile has been deleted.

        - DUPLICATE: The profile is a duplicate of another existing profile.
      enum:
        - INIT
        - AUTO
        - ACTIVE
        - ARCHIVED
        - BLOCKLISTED
        - INACTIVE
        - DELETED
        - DUPLICATE
    Issue:
      type: object
      properties:
        issue:
          type: string
          description: Description of the issue.
        issueLocation:
          type: string
          description: The location or context where the issue was identified.
        issueType:
          type: string
          description: The type or category of the issue.
    Entity:
      type: object
      properties:
        entityId:
          $ref: '#/components/schemas/Entity-ID'
        entityType:
          $ref: '#/components/schemas/Entity-Type'
        createdAt:
          type: string
          format: date-time
          readOnly: true
          x-oapi-codegen-extra-tags:
            audit: keep
        schemaVersion:
          type: integer
          description: The schema version of this entity.
          example: 2
          readOnly: true
          x-oapi-codegen-extra-tags:
            audit: keep
        addresses:
          type: array
          items:
            $ref: '#/components/schemas/Address'
          description: A list of all address information associated with the entity.
        phoneNumbers:
          type: array
          items:
            $ref: '#/components/schemas/Phone-Number'
          description: A list of all phone numbers associated with the entity.
        emailAddresses:
          type: array
          items:
            $ref: '#/components/schemas/Email'
          description: A list of all email addresses associated with the entity.
        customAttributes:
          $ref: '#/components/schemas/Custom-Attributes'
        externalReferences:
          type: array
          items:
            $ref: '#/components/schemas/External-Reference'
          description: A list of all external references associated with the entity.
        documents:
          $ref: '#/components/schemas/Entity-Documents'
        sourceId:
          type: string
          readOnly: true
          description: >-
            The source from which specific information was sourced. This is a
            link to an informationSource object in the informationSources map.
          x-oapi-codegen-extra-tags:
            audit: keep
    Individual-Name:
      type: object
      required:
        - familyName
      x-examples:
        Example 1:
          givenName: John
          middleName: Jacob
          familyName: Smith
      properties:
        nameId:
          type: string
          example: 87654321-4321-4321-4321-210987654321
          description: >-
            Include the nameId of an existing name for this individual to modify
            it
          readOnly: true
          x-oapi-codegen-extra-tags:
            audit: keep
        language:
          type: string
          example: eng
          description: >-
            The ISO-639-3 standard code that best represents the language and
            character set of the individual's name
          default: eng
          x-oapi-codegen-extra-tags:
            audit: keep
        givenName:
          type: string
          example: John
          description: First name or given name
          x-oapi-codegen-extra-tags:
            audit: mask
        middleName:
          type: string
          example: R
          description: Middle name(s) or middle initial(s)
          x-oapi-codegen-extra-tags:
            audit: mask
        familyName:
          type: string
          example: Doe
          description: Last name, family name, or surname.
          x-oapi-codegen-extra-tags:
            audit: mask
        otherName:
          type: string
          example: null
          description: >-
            Another name that this person may be known as, e.g., "Bob" as an
            alternative to "Robert".
          x-oapi-codegen-extra-tags:
            audit: mask
        prefix:
          type: string
          example: Dr.
          description: >-
            Letters or words that come before an individual's full name (e.g.,
            title or honorific).
          x-oapi-codegen-extra-tags:
            audit: mask
        suffix:
          type: string
          example: Jr.
          description: >-
            Letters or words that come after an individual's full name (e.g.,
            generational suffix).
          x-oapi-codegen-extra-tags:
            audit: mask
        sourceId:
          type: string
          example: 87654321-4321-4321-4321-210987654322
          description: >-
            The source from where a specific information was sourced from. This
            is a link to an informationSource object in the informationSources
            map
          readOnly: true
          x-oapi-codegen-extra-tags:
            audit: keep
        displayName:
          type: string
          example: John Doe
          description: >-
            Long format of the individual's full name, including any prefix,
            suffix, middle, or other names. Best used when the proper structure
            of the individual's name is unknown.
          x-oapi-codegen-extra-tags:
            audit: mask
        updatedAt:
          type: string
          format: date-time
          readOnly: true
          description: The date and time the name was last updated. ISO 8601 format.
    Individual-Name-Alternate:
      type: object
      required:
        - familyName
      x-examples:
        Example 1:
          givenName: John
          middleName: Jacob
          familyName: Smith
      properties:
        nameId:
          type: string
          example: 87654321-4321-4321-4321-210987654321
          description: >-
            Include the nameId of an existing name for this individual to modify
            it.
          x-oapi-codegen-extra-tags:
            audit: keep
        language:
          type: string
          example: eng
          description: >-
            The ISO-639-3 standard code that best represents the language and
            character set of the individual's name.
          default: eng
          x-oapi-codegen-extra-tags:
            audit: keep
        givenName:
          type: string
          example: John
          description: First name or given name.
          x-oapi-codegen-extra-tags:
            audit: mask
        middleName:
          type: string
          example: R
          description: Middle name(s) or middle initial(s).
          x-oapi-codegen-extra-tags:
            audit: mask
        familyName:
          type: string
          example: Doe
          description: Last name, family name, or surname.
          x-oapi-codegen-extra-tags:
            audit: mask
        otherName:
          type: string
          example: null
          description: Other names to be stored with the entity.
          x-oapi-codegen-extra-tags:
            audit: mask
        prefix:
          type: string
          example: Dr.
          description: >-
            Element or series of letters that precede the individual's full name
            (e.g., title or honorific).
          x-oapi-codegen-extra-tags:
            audit: mask
        suffix:
          type: string
          example: Jr.
          description: >-
            Element or series of letters that follow the individual's full name
            (e.g., generational suffix).
          x-oapi-codegen-extra-tags:
            audit: mask
        sourceId:
          type: string
          example: 87654321-4321-4321-4321-210987654322
          description: >-
            The source from which specific information was sourced. This is a
            link to an informationSource object in the informationSources map.
          readOnly: true
          x-oapi-codegen-extra-tags:
            audit: keep
        displayName:
          type: string
          example: John Doe
          description: >-
            Long format of the individual's full name, including any prefix,
            suffix, middle, or other names. Best used when the proper structure
            of the individual's name is unknown.
          x-oapi-codegen-extra-tags:
            audit: mask
        type:
          type: string
          example: OTHER
          enum:
            - OTHER
            - ALIAS
            - PREVIOUS
          description: >-
            Classification of the individual's name in relation to any of their
            alternative names.
          x-oapi-codegen-extra-tags:
            audit: keep
        updatedAt:
          type: string
          format: date-time
          readOnly: true
          description: The date and time the name was last updated. ISO 8601 format.
    Date-Of-Birth:
      type: object
      allOf:
        - type: object
          properties:
            dateOfBirthId:
              type: string
              description: >-
                As dates of birth are added to an entity, they are assigned a
                unique identifier to assist with modification and reference.

                To modify a date of birth, include the dateOfBirthId in an
                update request for the individual.
              readOnly: true
              x-oapi-codegen-extra-tags:
                audit: keep
            sourceId:
              type: string
              readOnly: true
              description: >-
                The source from which specific information was sourced. This is
                a link to an informationSource object in the informationSources
                map.
              x-oapi-codegen-extra-tags:
                audit: keep
            updatedAt:
              type: string
              format: date-time
              readOnly: true
              description: >-
                The date and time the date of birth was last updated. ISO 8601
                format.
        - $ref: '#/components/schemas/Date'
    Date-Of-Birth-Alternate:
      type: object
      allOf:
        - type: object
          properties:
            dateOfBirthId:
              type: string
              description: >-
                As dates of birth are added to an entity, they are assigned a
                unique identifier to assist with modification and reference.

                To modify a date of birth, include the dateOfBirthId in an
                update request for the individual.
              x-oapi-codegen-extra-tags:
                audit: keep
            sourceId:
              type: string
              readOnly: true
              description: >-
                The source from which specific information was sourced. This is
                a link to an informationSource object in the informationSources
                map.
              x-oapi-codegen-extra-tags:
                audit: keep
            updatedAt:
              type: string
              format: date-time
              readOnly: true
              description: >-
                The date and time the date of birth was last updated. ISO 8601
                format.
        - $ref: '#/components/schemas/Date'
    Gender:
      type: object
      properties:
        genderId:
          type: string
          readOnly: true
          deprecated: true
          x-oapi-codegen-extra-tags:
            audit: keep
        gender:
          $ref: '#/components/schemas/GenderEnum'
        sourceId:
          type: string
          readOnly: true
          description: >-
            The source from which specific information was sourced. This is a
            link to an informationSource object in the informationSources map.
          x-oapi-codegen-extra-tags:
            audit: keep
    Address-Place-Of-Birth:
      type: object
      required:
        - country
      description: The country or address where the individual was born.
      properties:
        addressId:
          type: string
          description: >-
            As addresses are added to an entity, they are assigned an ID to
            assist with tracking.
          example: 6ad15f64-5717-4562-b3fc-2c963f66abf9
          readOnly: true
          x-oapi-codegen-extra-tags:
            audit: keep
        sourceId:
          type: string
          readOnly: true
          description: >-
            The source from which specific information was sourced. This is a
            link to an informationSource object in the informationSources map.
          example: 1da65f64-5717-4562-b3fc-2c963f669fba
          x-oapi-codegen-extra-tags:
            audit: keep
        longForm:
          type: string
          description: >-
            In some cases, the address will need to be supplied in "long form",
            such as when it is determined from a document scan, or is unparsable
            in some way.

            The service will attempt to convert it to its constituent parts
            where possible.

            WARNING: Use of longForm is not guaranteed to produce perfect
            results, due to the variety of potential formats. You have been
            warned.

            Failure to break down or disambiguate the address will result in an
            error.
          example: 525 Kent Dr, Harlem NY 10037, USA
          x-oapi-codegen-extra-tags:
            audit: mask
        unstructuredLongForm:
          type: string
          readOnly: true
          description: >-
            Raw, unformatted address as provided by the source. Not normalized
            or standardized.
          example: 3A/525 KENT DRIVE HARLEM NEW YORK 10036 USA
          x-oapi-codegen-extra-tags:
            audit: mask
        unitNumber:
          type: string
          description: Unit/Apartment/Flat/Suite/etc. number
          example: 3A
          x-oapi-codegen-extra-tags:
            audit: mask
        buildingName:
          type: string
          description: The name of the building, apartment block, condominium, etc.
          example: EQ Tower
          x-oapi-codegen-extra-tags:
            audit: mask
        streetName:
          type: string
          description: >-
            The name of the street.

            This field should ideally contain only the street name, without the
            street number or street type. In some cases, especially when
            auto-populated by external services (e.g., Google), it may include
            additional address components.

            For best results, keep the street name separate from the street
            number and street type. See
            https://docs.frankieone.com/docs/working-with-addresses for more
            details.
          example: Kent
          x-oapi-codegen-extra-tags:
            audit: mask
        streetNumber:
          type: string
          description: >-
            The number assigned to the property on the street. Typically a
            number, but can also be alphanumeric (e.g., 3A).
          example: '525'
          x-oapi-codegen-extra-tags:
            audit: mask
        streetType:
          type: string
          description: The street type, such as Road, Street, Avenue, Circuit, etc.
          example: Dr
          x-oapi-codegen-extra-tags:
            audit: mask
        neighborhood:
          type: string
          description: >-
            The neighborhood or suburb within the town or city. Use this only if
            you require both a suburb and a locality/town/city; otherwise, use
            the "locality" parameter.
          example: Harlem
          x-oapi-codegen-extra-tags:
            audit: keep
        locality:
          type: string
          description: The locality, borough, town, village, or city.
          example: Manhattan
          x-oapi-codegen-extra-tags:
            audit: keep
        district:
          type: string
          description: The district, region, county, province, or cantonment.
          example: New York County
          x-oapi-codegen-extra-tags:
            audit: keep
        subdivision:
          type: string
          description: >-
            The ISO 3166-2 alphanumeric code of the administrative
            area/state/sub-division, minus the country code, e.g., VIC
            (Victoria) or TX (Texas).
          example: NY
          x-oapi-codegen-extra-tags:
            audit: keep
        country:
          type: string
          description: >-
            The ISO 3166-1 alphanumeric three-letter code of the country, e.g.,
            AUS, USA, IDR, KOR, etc.

            For more details, refer to: https://en.wikipedia.org/wiki/ISO_3166-1
          example: USA
          x-oapi-codegen-extra-tags:
            audit: keep
        postalCode:
          type: string
          description: The postal, zip, or pin code of the address.
          example: '10037'
          x-oapi-codegen-extra-tags:
            audit: keep
    Consent:
      type: object
      properties:
        type:
          type: string
          description: The type of consent given by an entity
          example: UNDER18
          enum:
            - GENERAL
            - DOCS
            - CREDITHEADER
            - UNDER18
            - PAYROLL
            - INSURANCE
            - SUPERANNUATION
          x-oapi-codegen-extra-tags:
            audit: keep
        schemaVersion:
          type: integer
          readOnly: true
          x-oapi-codegen-extra-tags:
            audit: keep
        sourceId:
          type: string
          description: >-
            The source from which specific information was obtained. This is a
            link to an informationSource object in the informationSources map.
          example: 93da15f64-5717-4562-b3fc-2c963f6663fe
          readOnly: true
          x-oapi-codegen-extra-tags:
            audit: keep
    Relationship:
      type: object
      properties:
        entityId:
          $ref: '#/components/schemas/Entity-ID'
        entityType:
          $ref: '#/components/schemas/Entity-Type'
        origin:
          $ref: '#/components/schemas/Relationship-Origin'
    Risk-Assessment-ID:
      type: string
      description: Unique identifier of the risk assessment.
      readOnly: true
    Workflow-Execution-Summary:
      type: object
      description: >
        Summary of the workflow execution.


        ### Using and interpreting the status field


        The result of the workflow is represented in the **status** field. Users
        can manually override this status with a different value to change the
        outcome of the workflow.

        When the **status** field is overridden, the **statusOverrideRequestId**
        field is populated with the request ID of the override request.

        If the **statusOverrideRequestId** field is present and non-empty, it
        indicates that the status has been manually changed.

          1. Initial State:
             - When a workflow completes, its result is set in the **status** field.
          2. Status Override:
             - Users may override the **status** field with a different value (e.g., change FAIL to PASS).
          3. Identifying Overrides:
             - To determine if a status has been overridden, check for the presence of the **statusOverrideRequestId** field.
             - If present, it indicates that the status has been manually changed.
          4. Additional Override Information:
             - **statusOverrideBy**: Identifies the user who performed the override (may not always be present).
             - **statusOverrideAt**: Timestamp of when the override occurred.
          5. Interpretation:
             - If **statusOverrideRequestId** is empty or absent, no override has occurred.
             - If **statusOverrideRequestId** is present, then a manual override has occurred.
      properties:
        schemaVersion:
          type: integer
          description: Version of the schema used for this workflow execution.
        workflowName:
          type: string
          description: Name of the workflow.
        workflowExecutionId:
          type: string
          description: Unique identifier for the workflow execution.
        workflowExecutionState:
          $ref: '#/components/schemas/Workflow-Execution-StateEnum'
          description: Current state of the workflow execution.
        status:
          $ref: '#/components/schemas/Workflow-Execution-ResultEnum'
          description: Current status/result of the workflow execution.
        statusOverrideAt:
          type: string
          format: date-time
          description: Timestamp when the status override occurred.
        statusOverrideRequestId:
          type: string
          description: Request ID associated with the status override.
        statusOverrideBy:
          type: string
          description: Identifier of the user who performed the status override.
        riskAssessment:
          $ref: '#/components/schemas/Risk-Assessment'
          description: Risk assessment for the workflow execution.
        isManual:
          type: boolean
          description: Indicates if the workflow was executed manually.
        steps:
          $ref: '#/components/schemas/Workflow-Execution-Steps'
          description: Steps executed as part of the workflow.
        startedAt:
          type: string
          format: date-time
          description: The timestamp when the workflow execution started.
        endedAt:
          type: string
          format: date-time
          description: The timestamp when the workflow execution ended.
        issues:
          type: array
          x-oapi-codegen-extra-tags:
            audit: keep
          description: List of issues encountered during the workflow execution.
          items:
            $ref: '#/components/schemas/Workflow-Issue'
        lifecyclePhase:
          $ref: '#/components/schemas/Workflow-LifecyclePhaseEnum'
          description: Current lifecycle phase of the workflow.
        monitoringTypes:
          description: |
            The types of monitoring that subscribe to the workflow.
          type: array
          items:
            $ref: '#/components/schemas/Monitoring-Type'
    Service-Profile-Subscription:
      type: object
      properties:
        serviceProfileId:
          type: string
          description: The unique identifier of the service profile.
        status:
          type: string
          enum:
            - ENABLED
            - DISABLED
          description: >-
            Indicates whether the subscription is currently active and
            operational.
        type:
          $ref: '#/components/schemas/Subscription-Type'
        workflowName:
          type: string
          description: >-
            The name of the monitoring workflow executed when a monitoring alert
            occurs.
        workflowId:
          type: string
          description: The unique identifier of the monitoring workflow.
        enabledAt:
          type: string
          format: date-time
          description: The date and time when the subscription was most recently enabled.
        enabledRequestId:
          type: string
          description: The request identifier for the most recent enable action.
        enabledBy:
          type: string
          description: The user who most recently enabled the subscription.
        disabledAt:
          type: string
          format: date-time
          description: The date and time when the subscription was most recently disabled.
        disabledRequestId:
          type: string
          description: The request identifier for the most recent disable action.
        disabledBy:
          type: string
          description: The user who most recently disabled the subscription.
    Entity-ID:
      type: string
      description: >-
        Entities are assigned a FrankieOne auto-generated UUID to ensure global
        uniqueness, represented as entityId. The entityId allows for precise
        modification when required.

        To modify an entity, set the entityId of the entity you wish to update
        in an update request.
      example: 3fa85f64-5717-4562-b3fc-2c963f66afa6
      readOnly: true
      x-oapi-codegen-extra-tags:
        audit: keep
    Entity-Type:
      type: string
      enum:
        - INDIVIDUAL
        - ORGANIZATION
        - UNKNOWN
      description: >-
        The type of entity within Frankie. This can be "INDIVIDUAL",
        "ORGANIZATION", or "UNKNOWN".
      readOnly: true
      x-oapi-codegen-extra-tags:
        audit: keep
    Address:
      type: object
      description: Address information in all available formats
      allOf:
        - $ref: '#/components/schemas/Address-Base'
        - type: object
          properties:
            unstructuredLongForm:
              type: string
              description: >-
                Raw, unformatted address as provided by the source. Not
                normalized or standardized.
              readOnly: true
              x-oapi-codegen-extra-tags:
                audit: mask
    Phone-Number:
      type: object
      properties:
        phoneNumberId:
          $ref: '#/components/schemas/Phone-Number-ID'
        isPreferred:
          type: boolean
          example: true
          description: Indicates whether this is the individual's preferred phone number.
          x-oapi-codegen-extra-tags:
            audit: keep
        type:
          type: string
          enum:
            - OTHER
            - WORK
            - HOME
            - MOBILE
            - BUSINESS
            - FAX
          description: The type of phone number.
          example: MOBILE
          x-oapi-codegen-extra-tags:
            audit: keep
        sourceId:
          type: string
          description: >-
            The source from which specific information was sourced. This is a
            link to an informationSource object in the informationSources map.
          example: 14fd5f64-5717-4562-b3fc-2c963f66ba34
          readOnly: true
          x-oapi-codegen-extra-tags:
            audit: keep
        country:
          type: string
          description: ISO-3166-1 alpha-3 country code.
          example: AUS
          x-oapi-codegen-extra-tags:
            audit: keep
        number:
          type: string
          description: The phone number.
          example: '0426192340'
          x-oapi-codegen-extra-tags:
            audit: mask
        linkedAddresses:
          type: array
          readOnly: true
          description: >-
            If the phone number is attached to one or more addresses, the
            address IDs of those addresses will be present.
          items:
            type: object
            properties:
              addressId:
                description: The addressId of the linked address.
                type: string
                example: fa335f64-5717-4562-b3fc-2c963f66cf41
        unstructuredLongForm:
          type: string
          description: >-
            Used to capture free-form phone numbers or to store numbers that
            could not be normalized.
          x-oapi-codegen-extra-tags:
            audit: mask
        updatedAt:
          type: string
          format: date-time
          readOnly: true
          description: >-
            The date and time the phone number was last updated. ISO 8601
            format.
    Email:
      type: object
      properties:
        emailAddressId:
          $ref: '#/components/schemas/Email-Address-ID'
        type:
          type: string
          enum:
            - OTHER
            - WORK
            - PERSONAL
            - BUSINESS
          example: WORK
          description: The type of email address, if known.
          x-oapi-codegen-extra-tags:
            audit: keep
        sourceId:
          type: string
          description: >-
            The source from which specific information was sourced. This is a
            link to an informationSource object in the informationSources map.
          example: 31dd15f64-5717-4562-b3fc-2c963f66234d
          readOnly: true
          x-oapi-codegen-extra-tags:
            audit: keep
        email:
          type: string
          description: >-
            The individual's email address. This email can be used to notify the
            individual of any verification requirements.
          example: leonardo_dc@outlook.com
          x-oapi-codegen-extra-tags:
            audit: mask
        isPreferred:
          type: boolean
          description: >-
            Indicates whether this email address is the individual's preferred
            email. The preferred email will be used to send notifications at the
            client's request.
          default: true
          x-oapi-codegen-extra-tags:
            audit: keep
        linkedAddresses:
          type: array
          readOnly: true
          description: >-
            If the email is attached to one or more addresses, the address IDs
            of those addresses will be present.
          items:
            type: object
            properties:
              addressId:
                description: The addressId of the linked address.
                type: string
                example: adc215f64-5717-4562-b3fc-2c963f66222a
        updatedAt:
          type: string
          format: date-time
          readOnly: true
          description: >-
            The date and time the email address was last updated. ISO 8601
            format.
    Custom-Attributes:
      type: object
      additionalProperties:
        $ref: '#/components/schemas/Attribute'
    External-Reference:
      type: object
      description: >-
        Reference information used to identify the individual in systems
        external to FrankieOne.
      allOf:
        - type: object
          properties:
            referenceId:
              type: string
              description: >-
                As external references are added to an entity, they are assigned
                a unique identifier to assist with modification and reference.

                To modify an external reference, include the referenceId in an
                update request for the individual.
              example: 24de15f64-5717-4562-b3fc-2c963f66e23e
              x-oapi-codegen-extra-tags:
                audit: keep
            type:
              type: string
              enum:
                - SYSTEM
                - CUSTOMER
                - ACCOUNT
                - OTHER
              default: CUSTOMER
              x-oapi-codegen-extra-tags:
                audit: keep
            sourceId:
              type: string
              description: >-
                The source from which specific information was sourced. This is
                a link to an informationSource object in the informationSources
                map.
              example: 93da15f64-5717-4562-b3fc-2c963f6663fe
              readOnly: true
              x-oapi-codegen-extra-tags:
                audit: keep
            metadata:
              type: object
              description: >-
                Key-value pairs for storing additional metadata about the
                external reference
              additionalProperties:
                $ref: '#/components/schemas/External-Reference-Metadata'
              x-oapi-codegen-extra-tags:
                audit: keep
            updatedAt:
              type: string
              format: date-time
              readOnly: true
              description: >-
                The date and time the external reference was last updated. ISO
                8601 format.
        - $ref: '#/components/schemas/External-Reference-Information'
    Entity-Documents:
      type: object
      properties:
        REPORT:
          type: array
          items:
            $ref: '#/components/schemas/Document-Information'
        SUPPORTING:
          type: array
          items:
            $ref: '#/components/schemas/Document-Information'
        IDENTITY:
          type: array
          items:
            $ref: '#/components/schemas/Document-Information'
        OTHER:
          type: array
          items:
            $ref: '#/components/schemas/Document-Information'
    Date:
      type: object
      allOf:
        - $ref: '#/components/schemas/Date-Base'
        - type: object
          properties:
            normalized:
              type: string
              format: date
              description: >-
                Full date in ISO 8601 format ("YYYY-MM-DD"). This is a read-only
                field.
              example: '1990-03-31'
              readOnly: true
              x-oapi-codegen-extra-tags:
                audit: mask
    GenderEnum:
      type: string
      enum:
        - MALE
        - FEMALE
        - NON_BINARY
        - OTHER
        - UNSPECIFIED
      x-oapi-codegen-extra-tags:
        audit: mask
    Relationship-Origin:
      type: object
      description: Details about the process that originated the relationship.
      properties:
        entityId:
          $ref: '#/components/schemas/Entity-ID'
        entityType:
          $ref: '#/components/schemas/Entity-Type'
        processResultId:
          $ref: '#/components/schemas/Process-Result-ID'
        createdAt:
          type: string
          format: date-time
          readOnly: true
          description: The date and time when the relationship origin record was created.
          x-oapi-codegen-extra-tags:
            audit: keep
    Workflow-Execution-StateEnum:
      type: string
      description: |
        Current state of the workflow execution. Possible values:
          - COMPLETED: The workflow execution has completed successfully.
          - CANCELED: The workflow execution was canceled.
          - TERMINATED: The workflow execution was terminated before completion.
          - ERROR: The workflow execution encountered an error.
          - TIMEOUT: The workflow execution timed out.
          - IN_PROGRESS: The workflow execution is currently in progress.
      enum:
        - COMPLETED
        - CANCELED
        - TERMINATED
        - ERROR
        - TIMEOUT
        - IN_PROGRESS
    Workflow-Execution-ResultEnum:
      type: string
      x-oapi-codegen-extra-tags:
        audit: keep
      description: |
        Outcome of this workflow execution. Possible results:
          - UNCHECKED: The workflow has not yet been run and has no result.
          - IN_PROGRESS: The workflow is currently running and awaiting completion.
          - REVIEW: The workflow produced results that require review. Check the risks and step results for more details.
          - PASS: The workflow successfully completed with a PASS recommendation.
          - FAIL: The workflow finished with a FAIL recommendation.
          - COMPLETE: The workflow has finished and the results are considered complete. PASS/FAIL is not required.
          - INCOMPLETE: The workflow has finished and the results are considered incomplete. PASS/FAIL is not required.
          - NEEDS_APPROVAL: The workflow requires an approval process. Once approved, re-run the workflow.
          - APPROVED: The workflow was approved, typically by an external source such as a human.
          - REJECTED: The workflow was rejected, typically by an external source such as a human.
          - BLOCKED: The workflow was blocked from completing. Manual review is required.
          - CLEAR: The workflow completed with no issues raised. Often used for ongoing monitoring workflows.
          - URGENT: The workflow completed with matters requiring urgent review. Often used for ongoing monitoring workflows that return sanctions or similarly critical items.
          - MONITOR: The workflow completed and further monitoring is required. Should be manually reviewed.
      default: UNCHECKED
      enum:
        - UNCHECKED
        - IN_PROGRESS
        - REVIEW
        - PASS
        - FAIL
        - COMPLETE
        - INCOMPLETE
        - NEEDS_APPROVAL
        - APPROVED
        - REJECTED
        - BLOCKED
        - CLEAR
        - URGENT
        - MONITOR
    Risk-Assessment:
      type: object
      required:
        - entityId
        - serviceProfileId
        - workflowId
        - workflowExecutionId
      properties:
        serviceProfileId:
          $ref: '#/components/schemas/Profile-ID'
        riskAssessmentId:
          $ref: '#/components/schemas/Risk-Assessment-ID'
        workflowId:
          type: string
          description: Unique identifier of the workflow.
        workflowExecutionId:
          type: string
          description: Unique identifier of the workflow execution.
        entityId:
          type: string
          description: Unique identifier of the entity being assessed.
        schemaVersion:
          type: integer
          description: Version of the risk assessment schema.
        createdAt:
          type: string
          format: date-time
          description: Timestamp when the risk assessment was created.
        updatedAt:
          type: string
          format: date-time
          description: Timestamp when the risk assessment was last updated.
        updatedBy:
          type: string
          description: Identifier of the user or system that updated this assessment.
        updatedRequestId:
          type: string
          description: Identifier of the request that updated this assessment.
        workflowRiskScore:
          type: number
          description: Risk score calculated for the workflow.
        workflowRiskLevel:
          $ref: '#/components/schemas/Risk-Level'
          description: >-
            Risk level of the workflow execution associated with this risk
            assessment.
        riskScore:
          type: number
          description: Risk score calculated for the entity.
        riskLevel:
          $ref: '#/components/schemas/Risk-Level'
          description: Risk level of the entity.
        isOutdated:
          type: boolean
          description: >-
            Indicates whether the assessment is out of date, either due to
            manual updates or changes to risk factors that were assessed.
          default: false
        riskFactors:
          type: array
          items:
            $ref: '#/components/schemas/Risk-Factor'
          readOnly: true
          description: List of risk factors considered in this assessment.
    Workflow-Execution-Steps:
      type: object
      properties:
        order:
          type: array
          items:
            type: string
        passed:
          type: array
          items:
            type: string
        failed:
          type: array
          items:
            type: string
        incomplete:
          type: array
          items:
            type: string
        notApplicable:
          type: array
          items:
            type: string
    Workflow-Issue:
      type: object
      required:
        - category
        - issue
        - severity
      properties:
        issueId:
          allOf:
            - $ref: '#/components/schemas/Issue-ID'
          readOnly: true
        category:
          $ref: '#/components/schemas/Workflow-Issue-Category'
        issue:
          $ref: '#/components/schemas/Workflow-Issue-Type'
        workflowExecutionId:
          type: string
          description: >-
            Identifier of the workflow execution in which this issue was
            generated.
        stepResultId:
          type: string
          description: >-
            Identifier of the step from which this issue originated, if
            applicable.
        isCleared:
          type: boolean
          description: >-
            Indicates if this specific issue has been manually flagged as
            addressed.
        createdBy:
          type: string
          description: User or system that created this issue.
          readOnly: true
        createdAt:
          type: string
          format: date-time
          description: The timestamp when the issue was created.
          readOnly: true
        updatedAt:
          type: string
          format: date-time
          description: The timestamp when the issue was last updated.
          readOnly: true
        updatedBy:
          type: string
          description: >-
            User or system that last updated this issue (e.g.,
            System:<service_name> or User:<user_name>).
          readOnly: true
        updatedRequestId:
          type: string
          description: Identifier of the request that updated this issue.
          readOnly: true
        severity:
          $ref: '#/components/schemas/Workflow-Issue-Severity'
    Workflow-LifecyclePhaseEnum:
      type: string
      description: >
        Specifies the lifecycle phase of the customer in which this workflow is
        executed:
          - ONBOARDING: Workflow is in the onboarding stage.
          - MONITORING: Workflow is in the monitoring stage.
          - REFRESH: Workflow is in the refresh stage.
          - OTHER: Workflow is in another stage.
      enum:
        - ONBOARDING
        - MONITORING
        - REFRESH
        - OTHER
      default: OTHER
    Monitoring-Type:
      type: string
      description: >-
        The type of workflow subscription. This determines which types are
        subscribing to a workflow.
      allOf:
        - $ref: '#/components/schemas/Subscription-Type'
    Subscription-Type:
      type: string
      description: >-
        Specifies the type of service profile subscription. This value
        determines the category of the service profile subscription.
      enum:
        - AML
        - ACTIVITY
    Address-Base:
      type: object
      required:
        - country
      description: Address information in all available formats
      properties:
        addressId:
          type: string
          description: >-
            As addresses are added to an entity, they are assigned an ID to
            assist with tracking.
          x-oapi-codegen-extra-tags:
            audit: keep
        updatedAt:
          type: string
          format: date-time
          readOnly: true
          description: The date and time the address was last updated. ISO 8601 format.
        sourceId:
          type: string
          readOnly: true
          description: >-
            The source from which specific information was sourced. This is a
            link to an informationSource object in the informationSources map.
          x-oapi-codegen-extra-tags:
            audit: keep
        type:
          $ref: '#/components/schemas/Address-TypeEnum'
          description: >-
            Used to indicate what sort of address this is, such as residential,
            business, postal, etc. Should be used in conjunction with the status
            field to indicate the current status of the address and provide more
            context.
        typeDescription:
          type: string
          description: >-
            Description for the type or the address type as fetched from an
            authoritative source like a company registry.
          x-oapi-codegen-extra-tags:
            audit: keep
        validFrom:
          $ref: '#/components/schemas/Date'
          description: >-
            The date this address first became active. Used mostly with business
            addresses.
        validTo:
          $ref: '#/components/schemas/Date'
          description: >-
            The date this address was no longer used (if available). Used mostly
            with business addresses.
        longForm:
          type: string
          description: >-
            In some cases, the address will need to be supplied in "long form",
            such as when it is determined from a document scan, or is unparsable
            in some way.

            The service will attempt to convert it to its constituent parts
            where possible.

            WARNING: Use of longForm is not guaranteed to produce perfect
            results, due to the variety of potential formats. You have been
            warned.

            Failure to break down or disambiguate the address will result in an
            error.
          x-oapi-codegen-extra-tags:
            audit: mask
        unitNumber:
          type: string
          description: Unit/Apartment/Flat/Suite/etc. number
          x-oapi-codegen-extra-tags:
            audit: mask
        buildingName:
          type: string
          description: The name of the building, apartment block, condominium, etc.
          x-oapi-codegen-extra-tags:
            audit: mask
        streetName:
          type: string
          description: >-
            The name of the street.

            This field should ideally contain only the street name, without the
            street number or street type. In some cases, especially when
            auto-populated by external services (e.g., Google), it may include
            additional address components.

            For best results, keep the street name separate from the street
            number and street type. See
            https://docs.frankieone.com/docs/working-with-addresses for more
            details.
          x-oapi-codegen-extra-tags:
            audit: mask
        streetNumber:
          type: string
          description: >-
            The number assigned to the property on the street. Typically a
            number, but can also be alphanumeric (e.g., 3A).
          x-oapi-codegen-extra-tags:
            audit: mask
        streetType:
          type: string
          description: The street type, such as Road, Street, Avenue, Circuit, etc.
          x-oapi-codegen-extra-tags:
            audit: mask
        neighborhood:
          type: string
          description: >-
            The neighborhood or suburb within the town or city. Use this only if
            you require both a suburb and a locality/town/city; otherwise, use
            the "locality" parameter.
          x-oapi-codegen-extra-tags:
            audit: keep
        locality:
          type: string
          description: The locality, town, village, suburb, or city.
          x-oapi-codegen-extra-tags:
            audit: keep
        district:
          type: string
          description: The district, region, county, province, or cantonment.
          x-oapi-codegen-extra-tags:
            audit: keep
        subdivision:
          type: string
          description: >-
            The administrative area, state, or sub-division. Use local
            abbreviations, such as VIC (Victoria) or TX (Texas).
          x-oapi-codegen-extra-tags:
            audit: keep
        country:
          type: string
          description: >-
            The ISO-3166-1 country code. You must use the alpha-3 country code
            (e.g., AUS, USA, IDR, KOR, etc). Conversion will be handled as
            needed.

            For more details, refer to: https://en.wikipedia.org/wiki/ISO_3166-1
          x-oapi-codegen-extra-tags:
            audit: keep
        postalCode:
          type: string
          description: The postal code of the address.
          x-oapi-codegen-extra-tags:
            audit: keep
        careOf:
          type: string
          description: >-
            The individual or business name at this address, if different from
            the name of the entity to which this address belongs.
          x-oapi-codegen-extra-tags:
            audit: mask
        status:
          $ref: '#/components/schemas/Address-StatusEnum'
          description: >-
            The status of the address information, such as current, previous, or
            future. Should be used in conjunction with the `type` field to
            indicate the type of the address and provide more context.
    Phone-Number-ID:
      type: string
      description: >-
        As phone numbers are added to an entity, they are assigned an ID to
        assist with tracking.

        If you are adjusting phone numbers, you will need to include the ID to
        reference it correctly in the list.
      example: ad165f64-5717-4562-b3fc-2c963f66bfa9
      x-oapi-codegen-extra-tags:
        audit: keep
    Email-Address-ID:
      type: string
      description: >-
        As email addresses are added to an entity, they are assigned a unique
        identifier to assist with modification and reference.

        To modify an email, include the emailId in an update request.
      example: aa385f64-5717-4562-b3fc-2c963f66af21
      x-oapi-codegen-extra-tags:
        audit: keep
    Attribute:
      type: object
      required:
        - type
        - value
      properties:
        type:
          description: The attribute type.
          type: string
          maxLength: 64
          x-oapi-codegen-extra-tags:
            audit: keep
        value:
          description: The value assigned to the attribute.
          type: string
          x-oapi-codegen-extra-tags:
            audit: mask
    External-Reference-Metadata:
      type: object
      required:
        - type
        - value
      x-examples:
        String Metadata:
          type: STRING
          value: '2024-01-15'
        Number Metadata:
          type: NUMBER
          value: '100'
      description: Metadata item for external reference with typed value
      properties:
        type:
          $ref: '#/components/schemas/External-Reference-Metadata-TypeEnum'
        value:
          type: string
          maxLength: 128
          description: The value of the metadata item, stored as string regardless of type
    External-Reference-Information:
      type: object
      x-examples:
        Customer Reference:
          name: CUSTOMER-REFERENCE
          value: CUST-00001342
          description: This is the customer id in the core banking system
      required:
        - name
        - value
      description: >-
        Used to store references and identifying information about an entity
        that is external to FrankieOne. If you wish to filter or search on
        customer information relevant to your business, that information should
        be added as an external reference.
      properties:
        name:
          type: string
          description: The name of the external reference.
          example: CUSTOMER-REFERENCE
          x-oapi-codegen-extra-tags:
            audit: keep
        value:
          type: string
          description: The value of the external reference.
          example: CUST-00001342
          x-oapi-codegen-extra-tags:
            audit: keep
        description:
          type: string
          description: >-
            A summary of what this external reference is and what it is used
            for.
          example: This is the customer ID in the core banking system.
          x-oapi-codegen-extra-tags:
            audit: keep
    Document-Information:
      type: object
      required:
        - type
        - country
      properties:
        class:
          $ref: '#/components/schemas/Document-Class'
        documentId:
          $ref: '#/components/schemas/Document-ID'
        entityId:
          $ref: '#/components/schemas/Entity-ID'
        expiryDate:
          $ref: '#/components/schemas/Date'
          description: The expiry date of the document in YYYY-MM-DD format.
        issueDate:
          $ref: '#/components/schemas/Date'
          description: The issue date of the document in YYYY-MM-DD format.
        primaryIdentifier:
          type: string
          description: >-
            The primary ID number of the document, e.g., the ID number on a
            driver licence.
          example: '000734130'
          x-oapi-codegen-extra-tags:
            audit: mask
        secondaryIdentifier:
          type: string
          description: >-
            The secondary ID number of the document, e.g., the card number on a
            driver licence.
          example: P0001975
          x-oapi-codegen-extra-tags:
            audit: mask
        type:
          $ref: '#/components/schemas/Document-Type'
        subtype:
          type: string
          description: >-
            The sub-type of the document, if relevant. This can include specific
            report or attestation types, e.g., FACIAL_COMPARISON (attestation)
            or KYC (report).
          example: Photo Comparison
          x-oapi-codegen-extra-tags:
            audit: keep
        subdivision:
          type: string
          description: >-
            The abbreviated ISO 3166 subdivision/region where the ID was issued,
            e.g., "VIC" for the Australian state of Victoria or "MA" for the US
            state of Massachusetts.
          example: VIC
          x-oapi-codegen-extra-tags:
            audit: keep
        country:
          type: string
          maxLength: 3
          description: >-
            The ISO 3166 alpha-3 country code where the document was issued, if
            relevant.

            For more information, please refer to:
            https://en.wikipedia.org/wiki/List_of_ISO_3166_country_codes
          example: AUS
          x-oapi-codegen-extra-tags:
            audit: keep
        createdAt:
          type: string
          format: date-time
          description: >-
            The date and time when the document record was created, in ISO 8601
            format.
          example: '2024-01-15T02:18:11.365Z'
          readOnly: true
          x-oapi-codegen-extra-tags:
            audit: keep
        updatedAt:
          type: string
          format: date-time
          description: >-
            The date and time when the document record was last updated, in ISO
            8601 format.
          example: '2025-01-16T02:18:11.365Z'
          readOnly: true
          x-oapi-codegen-extra-tags:
            audit: keep
        validFrom:
          $ref: '#/components/schemas/Date'
          description: >-
            The date when the validity period for this document began, if
            applicable.
        validTo:
          $ref: '#/components/schemas/Date'
          description: >-
            The date when the validity period for this document ended, if
            applicable.
        sourceId:
          type: string
          description: >-
            The source from which specific information was sourced. This is a
            link to an informationSource object in the informationSources map.
          example: 324f15f64-5717-4562-b3fc-2c963f66ffa1
          readOnly: true
          x-oapi-codegen-extra-tags:
            audit: keep
        supplementaryData:
          $ref: '#/components/schemas/Document-Supplementary-Data'
        customAttributes:
          $ref: '#/components/schemas/Custom-Attributes'
        attachments:
          type: array
          description: >-
            List of scans, pages, or files for a single document, e.g., front
            and back images of a driver licence, or page 1, 2, and 3 of a
            supporting document.


            Attachments can be uploaded in a single call or in multiple calls.
            To upload attachments over multiple calls, include the documentId in
            the request.
          items:
            $ref: '#/components/schemas/Document-Attachment'
    Date-Base:
      type: object
      properties:
        year:
          type: string
          description: Year in "YYYY" format.
          example: '1990'
          x-oapi-codegen-extra-tags:
            audit: mask
        month:
          type: string
          description: Month in "MM" format.
          example: '03'
          x-oapi-codegen-extra-tags:
            audit: mask
        day:
          type: string
          description: Day in "DD" format.
          example: '27'
          x-oapi-codegen-extra-tags:
            audit: mask
        unstructured:
          type: string
          description: >-
            Raw date format without normalization or standardization to the
            Gregorian calendar.

            This can be used to provide non-Gregorian dates (e.g., Islamic
            dates).
          example: 12 Rajab 1445 AH
          x-oapi-codegen-extra-tags:
            audit: mask
        type:
          $ref: '#/components/schemas/Date-Type'
    Process-Result-ID:
      type: string
      description: >-
        When a process result object is first created, it is assigned an ID.
        When updating the process result object, set the processResultID to the
        ID of the process result object you are referring to.
      readOnly: true
      x-oapi-codegen-extra-tags:
        audit: keep
    Profile-ID:
      type: string
      description: Unique identifier of the Service Profile.
    Risk-Level:
      type: string
      enum:
        - UNKNOWN
        - LOW
        - MEDIUM
        - HIGH
        - UNACCEPTABLE
      description: |
        The risk level classification:
          - UNKNOWN: Risk level is not determined.
          - LOW: Low risk.
          - MEDIUM: Medium risk.
          - HIGH: High risk.
          - UNACCEPTABLE: Risk level is unacceptable.
    Risk-Factor:
      type: object
      properties:
        riskFactorId:
          $ref: '#/components/schemas/Risk-Factor-ID'
        factor:
          type: string
          description: Name of the Frankie risk factor.
          readOnly: true
        value:
          type: string
          description: Value assigned to the risk factor.
          readOnly: true
        score:
          type: number
          description: Risk score assigned to the factor (based on customer configuration).
          readOnly: true
        description:
          type: string
          description: Description of the risk factor.
          readOnly: true
        workflowExecutionId:
          type: string
          description: >-
            Unique identifier of the workflow execution in which the risk factor
            was generated.
          readOnly: true
        stepResultId:
          type: string
          description: >-
            Unique identifier of the step result if the factor originated from a
            step.
          readOnly: true
        manualOverrideScore:
          type: number
          description: >-
            If present, this score overrides all others and is used as the final
            score in risk assessment.
        status:
          $ref: '#/components/schemas/Risk-Factor-Status'
        createdAt:
          type: string
          format: date-time
          description: Timestamp when the risk factor was created.
          readOnly: true
        updatedAt:
          type: string
          format: date-time
          description: Timestamp when the risk factor was last updated.
          readOnly: true
        updatedBy:
          type: string
          description: >-
            Identifier of the user or system that updated this risk factor
            (e.g., System:<service_name>; or User:<user_name>).
          readOnly: true
        updatedRequestId:
          type: string
          description: Identifier of the request that updated this risk factor.
          readOnly: true
        createdServiceProfileId:
          type: string
          format: uuid
          description: >-
            Identifier of the service profile associated with this risk factor
            when it was created.
        createdWorkflowExecutionId:
          type: string
          description: >-
            Identifier of the workflow execution that originally created the
            risk factor.
        createdStepResultId:
          type: string
          description: >-
            Identifier of the step result that originally created the risk
            factor.
    Issue-ID:
      type: string
      description: Unique identifier for the risk issue.
      readOnly: true
    Workflow-Issue-Category:
      type: string
      x-oapi-codegen-extra-tags:
        audit: keep
      enum:
        - AML
        - BAD_DATA
        - BIOMETRICS
        - BLOCKLISTED
        - DECEASED
        - DEVICE
        - DOCUMENT
        - DUPLICATE
        - EXPIRY
        - FRAUD
        - IDV
        - INFORMATIONAL
        - KYC
        - SYSTEM
        - VERIFY
        - VISA
        - WATCHLIST
        - ACTIVITY
        - SUPPORTING_DOC
        - RISK
      description: |-
        General category of issue found:
          - AML: Anti-Money Laundering issues.
          - BAD_DATA: Indicates that the data provided is invalid or incorrect.
          - BIOMETRICS: Issues found during a biometrics check.
          - BLOCKLISTED: The entity has a hit on a blocklist.
          - DECEASED: Indicates that the entity is deceased.
          - DEVICE: Issues found during device checks.
          - DOCUMENT: Issues found during a document check.
          - DUPLICATE: Indicates that the entity has duplicates.
          - EXPIRY: Indicates that a process or document for the entity has expired.
          - FRAUD: Possible fraud detected.
          - IDV: Issues found during an Identity Verification (IDV) process.
          - INFORMATIONAL: Informational messages that are not issues but are required to be returned.
          - KYC: Issues found during a Know Your Customer (KYC) process.
          - SYSTEM: System-level issues.
          - VERIFY: Issues found during a verification process.
          - VISA: Issues found during a visa check.
          - WATCHLIST: Issues found during a watchlist check.
          - ACTIVITY: Issues found during an activity process.
          - SUPPORTING_DOC: Issues found during a supporting document check.
          - RISK: Issues related to risk assessment.
    Workflow-Issue-Type:
      type: string
      x-oapi-codegen-extra-tags:
        audit: keep
      enum:
        - AML_ISSUE
        - BAD_DATA_ADDRESS
        - BAD_DATA_DOB
        - BAD_DATA_DOCUMENT
        - BAD_DATA_EMAIL
        - BAD_DATA_ID
        - BAD_DATA_MOBILE
        - BAD_DATA_DEVICE
        - BAD_DATA_IP_ADDRESS
        - BAD_DATA_EMAIL_ADDRESS
        - BAD_DATA_NAME
        - BLOCKED
        - COMPROMISED_DOCUMENT
        - CREDIT_HEADER
        - DATA_COMPARISON
        - DATA_CONSISTENCY
        - DATA_VALIDATION
        - DENY_LIST
        - DECEASED
        - DEVICE_FRAUD_MATCH
        - DEVICE_INVALID
        - DOCUMENT_COMPARISON
        - DUPLICATE
        - FRAUD_CHECK
        - FRAUD_DEVICE
        - FRAUD_IP_ADDRESS
        - FRAUD_EMAIL_ADDRESS
        - FRAUD_PHONE_NUMBER
        - FRAUD_INCOMPLETE
        - FRAUD_ISSUE
        - FRAUD_LIST
        - IMAGE_INTEGRITY
        - INSUFFICIENT_ADDRESS_MATCH
        - INSUFFICIENT_DOB_MATCH
        - INSUFFICIENT_GOVID_MATCH
        - INSUFFICIENT_NAME_MATCH
        - INTERNAL_MATCH
        - LIVENESS_DETECTION
        - MATCHED_EXTERNAL
        - MATCHED_INTERNAL
        - MATCHED_SHARED
        - MEDIA
        - NO_ADDRESS_MATCH
        - NO_DOB_MATCH
        - NO_GOVID_MATCH
        - NO_NAME_MATCH
        - NOT_FOUND
        - OCR
        - PARTIAL
        - PARTIAL_MATCH
        - PEP
        - REQUIRES_AML
        - REQUIRES_IDV
        - REQUIRES_KYC
        - REQUIRES_VISA
        - SANCTION
        - SERVICE_ERROR
        - SERVICE_TIMEOUT
        - VISA_FAILED
        - VISUAL_AUTHENTICITY
        - WATCHLIST
        - ACTIVITY_AML
        - ACTIVITY_FRAUD
        - ACTIVITY_EVENT
        - ACTIVITY_DEVICE
        - DOCUMENT_MISSING
        - DOCUMENTS_NOT_APPROVED
        - RISK_THRESHOLD_HIGH
        - RISK_THRESHOLD_UNACCEPTABLE
        - RISK_THRESHOLD_MEDIUM
      description: |-
        For each category, this provides the specific issue type.

        AML:
          - PEP: The entity has Politically Exposed Person (PEP) hits.
          - SANCTION: The entity has sanction hits.
          - MEDIA: The entity has adverse media hits.
          - WATCHLIST: The entity has watchlist hits.

        BAD_DATA:
          - BAD_DATA_NAME: Name is required for verification but is missing or unusable due to data quality issues.
          - BAD_DATA_DOB: Date of Birth is required for verification but is missing or unusable due to data quality issues.
          - BAD_DATA_ADDRESS: Address is required for verification but is missing or unusable due to data quality issues.
          - BAD_DATA_ID: ID is required for verification but is missing or unusable due to data quality issues.
          - BAD_DATA_EMAIL: Email is required for verification but is missing or unusable due to data quality issues.
          - BAD_DATA_MOBILE: Mobile is required for verification but is missing or unusable due to data quality issues.
          - BAD_DATA_DEVICE: Device is required for verification but is missing or unusable due to data quality issues.
          - BAD_DATA_IP_ADDRESS: IP Address is required for verification but is missing or unusable due to data quality issues.
          - BAD_DATA_EMAIL_ADDRESS: Email Address is required for verification but is missing or unusable due to data quality issues.
          - BAD_DATA_DOCUMENT: Document data is required for verification but is missing or unusable due to data quality issues.

        BLOCKLISTED:
          - MATCHED_INTERNAL: The entity matched an internal blocklist.
          - MATCHED_SHARED: The entity matched a shared blocklist.
          - MATCHED_EXTERNAL: The entity matched an external blocklist.

        DECEASED:
          - DECEASED: The person whose data is being verified is deceased.

        DEVICE:
          - DEVICE_FRAUD_MATCH: Fraud detected on the device.
          - DEVICE_INVALID: The device is invalid.

        DUPLICATE:
          - DUPLICATE: The entity is a duplicate of another entity.

        EXPIRY:
          - REQUIRES_KYC: KYC process needs to be re-initiated.
          - REQUIRES_IDV: IDV process needs to be re-initiated.
          - REQUIRES_AML: AML process needs to be re-initiated.
          - REQUIRES_VISA: Visa process needs to be re-initiated.

        FRAUD:
          - FRAUD_LIST: The entity is on a fraud list.
          - FRAUD_CHECK: Fraud detected during checks.
          - FRAUD_DEVICE: Device fraud detected.
          - FRAUD_IP_ADDRESS: IP address fraud detected.
          - FRAUD_EMAIL_ADDRESS: Email address fraud detected.
          - FRAUD_PHONE_NUMBER: Phone number fraud detected.

        IDV:
          - DATA_COMPARISON: Data comparison issue.
          - DATA_VALIDATION: Data validation issue.
          - DATA_CONSISTENCY: Data consistency issue.
          - VISUAL_AUTHENTICITY: Visual authenticity issue.
          - IMAGE_INTEGRITY: Image integrity issue.
          - COMPROMISED_DOCUMENT: Document is compromised.
          - LIVENESS_DETECTION: Liveness detection failed.
          - DOCUMENT_COMPARISON: Document comparison issue.

        INFORMATIONAL:
          - CREDIT_HEADER: Credit header information was returned as part of a credit agency check.

        KYC:
          - NOT_FOUND: KYC ruleset not met.
          - PARTIAL: Some matches but insufficient.
          - NO_GOVID_MATCH: GovID required but no GovID match.
          - INSUFFICIENT_GOVID_MATCH: GovID required but insufficient matches.
          - NO_DOB_MATCH: DOB required but no DOB match.
          - INSUFFICIENT_DOB_MATCH: DOB required but insufficient matches.
          - NO_ADDRESS_MATCH: Address required but no address match.
          - INSUFFICIENT_ADDRESS_MATCH: Address required but insufficient matches.
          - NO_NAME_MATCH: Name required but no name match.
          - INSUFFICIENT_NAME_MATCH: Name required but insufficient matches.
          - PARTIAL_MATCH: General partial match.

        OCR:
          - OCR: The OCR data does not match what was entered by the user.

        SYSTEM:
          - SERVICE_TIMEOUT: All providers have timed out.
          - SERVICE_ERROR: All providers have returned an error or an internal error has occurred.

        VISA:
          - DENY_LIST: The entity matched a visa deny list.
          - VISA_FAILED: Visa check failed from the provider.

        WATCHLIST:
          - INTERNAL_MATCH: The entity matched an internal watchlist.

        ACTIVITY:
          - ACTIVITY_AML: The entity has had an activity that is flagged for AML
          - ACTIVITY_FRAUD: The entity has had an activity that is flagged for fraud
          - ACTIVITY_EVENT: The entity has had an activity that is deemed as suspicious, but not exactly classified as either fraud or AML

        SUPPORTING_DOC:
          - DOCUMENT_MISSING: The document is not provided
          - DOCUMENTS_NOT_APPROVED: The document is not approved

        RISK:
          - RISK_THRESHOLD_HIGH: The risk threshold is too high
          - RISK_THRESHOLD_MEDIUM: The risk threshold is medium
          - RISK_THRESHOLD_UNACCEPTABLE: The risk threshold is unacceptable
    Workflow-Issue-Severity:
      type: string
      x-oapi-codegen-extra-tags:
        audit: keep
      enum:
        - INFO
        - REVIEW
        - BLOCK
        - WARNING
        - CRITICAL
        - ERROR
      description: |
        The severity level of the issue. Possible values:
          - INFO: Informational only.
          - REVIEW: Requires review.
          - BLOCK: Blocks further processing.
          - WARNING: Warning, but not blocking.
          - CRITICAL: Critical issue.
          - ERROR: Error encountered.
    Address-TypeEnum:
      type: string
      default: OTHER
      enum:
        - OTHER
        - RESIDENTIAL
        - BUSINESS
        - POSTAL
        - REGISTERED_OFFICE
        - PLACE_OF_BUSINESS
        - OFFICIAL_CORRESPONDANCE
        - PLACE_OF_BIRTH
        - OFFICE_LOCALITY
        - AUTHORITATIVE_RESIDENTIAL
      x-oapi-codegen-extra-tags:
        audit: keep
    Address-StatusEnum:
      type: string
      default: CURRENT
      enum:
        - CURRENT
        - PREVIOUS
        - FUTURE
      x-oapi-codegen-extra-tags:
        audit: keep
    External-Reference-Metadata-TypeEnum:
      type: string
      default: STRING
      enum:
        - STRING
        - INTEGER
        - FLOAT
        - BOOLEAN
        - DATE
        - DATE_TIME
      description: The type of the external reference metadata value
    Document-Class:
      type: string
      enum:
        - OTHER
        - IDENTITY
        - SUPPORTING
        - REPORT
      description: >-
        The classification of the document, indicating how it should be used or
        interpreted.
      example: IDENTITY
    Document-ID:
      type: string
      format: uuid
      description: >-
        As documents are added to an entity, they are assigned a unique
        identifier to assist with modification and reference.

        To modify a document, include the documentId in an update request.
      example: 92de15f64-5717-4562-b3fc-2c963f6665a7
      x-oapi-codegen-extra-tags:
        audit: keep
    Document-Type:
      type: string
      enum:
        - OTHER
        - DRIVERS_LICENSE
        - PASSPORT
        - VISA
        - IMMIGRATION
        - NATIONAL_ID
        - TAX_ID
        - NATIONAL_HEALTH_ID
        - CONCESSION
        - HEALTH_CONCESSION
        - PENSION
        - MILITARY_ID
        - BIRTH_CERT
        - CITIZENSHIP
        - MARRIAGE_CERT
        - DEATH_CERT
        - NAME_CHANGE
        - UTILITY_BILL
        - BANK_STATEMENT
        - BANK_ACCOUNT
        - INTENT_PROOF
        - ATTESTATION
        - SELF_IMAGE
        - DEVICE
        - VEHICLE_REGISTRATION
        - PROOF_OF_ADDRESS
        - HOUSE_REGISTRATION
        - YELLOW_HOUSE_REGISTRATION
        - WORK_PERMIT
        - EMPLOYMENT_CERTIFICATE
        - NOTARY_PUBLIC_ID
        - EXTERNAL_ADMIN
        - CHARGES
        - PRE_ASIC
        - ANNUAL_RETURN
        - REPORT
        - TRUST_DEED
        - DEED_OF_VARIATION
        - REGISTER_OF_UNIT_HOLDERS
        - PARTNERSHIP_AGREEMENT
        - ADMIN_CHANGE
        - COMPANY_REPORT
        - CHECK_RESULTS
        - AVIATION_SECURITY_ID
        - MARITIME_SECURITY_ID
        - ORGANIZATION_PROFILE
        - ORGANIZATION_OWNERSHIP
      description: |-
        Valid document ID types.

          - "OTHER": Generic document type. Unspecified.
          - "DRIVERS_LICENSE": Driver's license.
          - "PASSPORT": Passport.
          - "VISA": Visa document (not Visa payment card).
          - "IMMIGRATION": Immigration card.
          - "NATIONAL_ID": Any national ID card.
          - "TAX_ID": Any national tax identifier.
          - "NATIONAL_HEALTH_ID": Any national health program ID card (e.g., Medicare, NHS).
          - "CONCESSION": State-issued concession card.
          - "HEALTH_CONCESSION": State-issued health-specific concession card.
          - "PENSION": State-issued pension ID.
          - "MILITARY_ID": Military ID.
          - "BIRTH_CERT": Birth certificate.
          - "CITIZENSHIP": Citizenship certificate.
          - "MARRIAGE_CERT": Marriage certificate.
          - "DEATH_CERT": Death certificate.
          - "NAME_CHANGE": Name change confirmation.
          - "UTILITY_BILL": Regulated utility bill, such as electricity, gas, etc.
          - "BANK_STATEMENT": Bank/card statement.
          - "BANK_ACCOUNT": Bank account.
          - "INTENT_PROOF": Proof of intent, generally a photo/video or a scanned letter.
          - "ATTESTATION": Document of attestation (e.g., Statutory Declaration).

          NOTE: These cannot be used as a supporting document:
          - "SELF_IMAGE": A "selfie" used for comparisons.
          - "DEVICE": Device ID.
          - "VEHICLE_REGISTRATION": Vehicle registration number.
          - "PROOF_OF_ADDRESS": Any document that provides proof of address.
          - "HOUSE_REGISTRATION": House registration document.
          - "YELLOW_HOUSE_REGISTRATION": Yellow House Registration Thor Ror 13.
          - "WORK_PERMIT": Work permit.
          - "EMPLOYMENT_CERTIFICATE": Certificate of employment.
          - "NOTARY_PUBLIC_ID": Notary Public Identification.

          Business-related documentation:

          - "EXTERNAL_ADMIN": Details of appointed administrator.
          - "CHARGES": Details of any charges laid against a company or director.
          - "PRE_ASIC": Any documents that are Pre-ASIC.
          - "ANNUAL_RETURN": Details of a company's annual return.
          - "REPORT": Frankie-generated report.
          - "TRUST_DEED": Corporate trust deed.
          - "DEED_OF_VARIATION": Deed of variation document.
          - "REGISTER_OF_UNIT_HOLDERS": Register of unit holders document.
          - "PARTNERSHIP_AGREEMENT": Partnership agreement documents.
          - "ADMIN_CHANGE": Change of administrator.
          - "COMPANY_REPORT": Registry-filed company reports.
          - "ORGANIZATION_PROFILE": Organization profile document.
          - "ORGANIZATION_OWNERSHIP": Organization ownership document.

          Special document types:

          - "CHECK_RESULTS": Special document type for specifying results of checks completed other than through Frankie.
          - "AVIATION_SECURITY_ID": Aviation Security Identification Card.
          - "MARITIME_SECURITY_ID": Maritime Security Identification Card.
      x-oapi-codegen-extra-tags:
        audit: keep
    Document-Supplementary-Data:
      type: object
      description: >-
        Supplementary information relevant to a specific document or report
        type.
      oneOf:
        - $ref: '#/components/schemas/Document-Supplementary-Data-National-Health-ID'
        - $ref: '#/components/schemas/Document-Supplementary-Data-Birth-Certificate'
        - $ref: '#/components/schemas/Document-Supplementary-Data-National-ID'
        - $ref: '#/components/schemas/Document-Supplementary-Data-Citizenship'
        - $ref: '#/components/schemas/Document-Supplementary-Data-Passport'
        - $ref: >-
            #/components/schemas/Document-Supplementary-Data-Marriage-Certificate
        - $ref: >-
            #/components/schemas/Document-Supplementary-Data-Name-Change-Certificate
      discriminator:
        propertyName: type
        mapping:
          NATIONAL_HEALTH_ID:
            $ref: >-
              #/components/schemas/Document-Supplementary-Data-National-Health-ID
          BIRTH_CERT:
            $ref: '#/components/schemas/Document-Supplementary-Data-Birth-Certificate'
          NATIONAL_ID:
            $ref: '#/components/schemas/Document-Supplementary-Data-National-ID'
          CITIZENSHIP:
            $ref: '#/components/schemas/Document-Supplementary-Data-Citizenship'
          PASSPORT:
            $ref: '#/components/schemas/Document-Supplementary-Data-Passport'
          MARRIAGE_CERT:
            $ref: >-
              #/components/schemas/Document-Supplementary-Data-Marriage-Certificate
          NAME_CHANGE:
            $ref: >-
              #/components/schemas/Document-Supplementary-Data-Name-Change-Certificate
    Document-Attachment:
      type: object
      required:
        - data
      description: Document attachment details.
      properties:
        attachmentId:
          $ref: '#/components/schemas/Document-Attachment-ID'
        sourceId:
          type: string
          readOnly: true
          description: >-
            The source from which specific information was sourced. This is a
            link to an informationSource object in the informationSources map.
          x-oapi-codegen-extra-tags:
            audit: keep
        createdAt:
          type: string
          readOnly: true
          format: date-time
          description: >-
            The date and time the attachment was created. This is not the date
            of the attached document, which should be in the idIssued attribute
            of the document that owns this attachment.
          x-oapi-codegen-extra-tags:
            audit: keep
        updatedAt:
          type: string
          format: date-time
          readOnly: true
          description: >-
            The date and time the attachment was last updated. This is not the
            date of the attached document, which should be in the idIssued
            attribute of the document that owns this attachment.
          x-oapi-codegen-extra-tags:
            audit: keep
        filename:
          type: string
          description: >-
            If you are uploading a file where it is important to keep the
            original filename, you can provide it here. Otherwise, the Frankie
            service will assign an arbitrary name based on the attachmentId and
            an extension based on the MIME type.
          x-oapi-codegen-extra-tags:
            audit: mask
        mimeType:
          type: string
          description: >-
            The standard MIME type of the file being uploaded. This will be
            verified, but providing it can help speed up processing.
          x-oapi-codegen-extra-tags:
            audit: keep
        pageNumber:
          type: integer
          description: >-
            If uploading multiple pages, this can be used to track page numbers.
            There is no enforcement of these numbers. You can have multiple page
            1's or a page 29 if you wish.
          x-oapi-codegen-extra-tags:
            audit: keep
        side:
          $ref: '#/components/schemas/Document-Attachment-Side'
        type:
          $ref: '#/components/schemas/Document-Attachment-Type'
        location:
          description: Reference to where the data can be retrieved from.
          type: string
          x-oapi-codegen-extra-tags:
            audit: keep
        data:
          $ref: '#/components/schemas/Data-URI-Base64'
        lastMalwareScanAt:
          type: string
          format: date-time
          x-oapi-codegen-extra-tags:
            audit: keep
        retrievalStatus:
          $ref: '#/components/schemas/Document-Attachment-Retrieval-Status'
    Date-Type:
      type: string
      default: GREGORIAN
      enum:
        - BUDDHIST
        - DISCORDIAN
        - GREGORIAN
        - HEBREW
        - ISLAMIC
        - JULIAN
        - LUNAR
        - MESO_AMERICAN
        - PERSIAN
        - OTHER
      description: >-
        The calendar system used for the date, e.g., BUDDHIST, DISCORDIAN,
        GREGORIAN, HEBREW, ISLAMIC, JULIAN, LUNAR, MESO_AMERICAN, PERSIAN, or
        OTHER.
      x-oapi-codegen-extra-tags:
        audit: keep
    Risk-Factor-ID:
      type: string
[...]
